EUCA-BUNDLE-AND-UPLOAD-IMAGE(1)

NAME
euca-bundle-and-upload-image - Prepare and upload an image for use in the cloud

SYNOPSIS
euca-bundle-and-upload-image [--preserve-bundle]

[--max-pending-parts MAX_PENDING_PARTS] -i
    FILE [-p PREFIX] [-d DIR] -r {i386,x86_64,armhf,ppc,ppc64,ppc64le} [-k FILE] [-c FILE] [--ec2cert FILE] [-u ACCOUNT] [--kernel IMAGE] [--ramdisk IMAGE] [--bootstrap-url BOOTSTRAP_URL] [-B VIRTUAL1=DEVICE1,VIRTUAL2=DEVICE2,...] [--productcodes CODE1,CODE2,...] [--image-size IMAGE_SIZE] -b BUCKET[/PREFIX] [--acl {public-read,aws-exec-read,ec2-bundle-read}] [--upload-policy POLICY | --upload-policy-file FILE] [--upload-policy-signature SIGNATURE] [--location LOCATION] [--retry] [--progress | --no-progress] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h]

DESCRIPTION
Prepare and upload an image for use in the cloud

  optional arguments:

--preserve-bundle
    do not delete the bundle as it is being uploaded

--max-pending-parts MAX_PENDING_PARTS
    pause the bundling process when more than this number of parts are waiting to be uploaded (default: 2)

-i FILE, --image FILE
    file containing the image to bundle (required)

-p PREFIX, --prefix PREFIX
    the file name prefix to give the bundle's files (required when bundling stdin; otherwise defaults to the image's file name)

-d DIR, --destination DIR
    location to place the bundle's files (default: dir named by TMPDIR, TEMP, or TMP environment variables, or otherwise /var/tmp)

-r {i386,x86_64,armhf,ppc,ppc64,ppc64le}, --arch {i386,x86_64,armhf,ppc,ppc64,ppc64le}
    the image's architecture (required)

-k FILE, --privatekey FILE
    file containing your private key to sign the bundle's manifest with. If one is not available the bundle will not be signed.

-c FILE, --cert FILE
    file containing your X.509 certificate. If one is not available it will not be possible to unbundle the bundle without cloud administrator assistance.

--ec2cert FILE
    file containing the cloud's X.509 certificate. If one is not available locally it must be available from the bootstrap service.

-u ACCOUNT, --user ACCOUNT
    your account ID

--kernel IMAGE
    ID of the kernel image to associate with this machine image

--ramdisk IMAGE
    ID of the ramdisk image to associate with this machine image

--bootstrap-url BOOTSTRAP_URL
    [Eucalyptus only] bootstrap service endpoint URL (used for obtaining --ec2cert automatically

-B VIRTUAL1=DEVICE1,VIRTUAL2=DEVICE2,..., --block-device-mappings VIRTUAL1=DEVICE1,VIRTUAL2=DEVICE2,...
    block device mapping scheme with which to launch instances of this machine image

--productcodes CODE1,CODE2,...
    comma-separated list of product codes for the image

--image-size IMAGE_SIZE
    the image's size (required when bundling stdin)

-b BUCKET[/PREFIX], --bucket BUCKET[/PREFIX]
    bucket to upload the bundle to (required)

--acl {public-read,aws-exec-read,ec2-bundle-read}
    canned ACL policy to apply to the bundle (default: aws-exec-read)

--upload-policy POLICY
    upload policy to use for authorization

--upload-policy-file FILE
    file containing an upload policy to use for authorization

--upload-policy-signature SIGNATURE
    signature for the upload policy (required when an 'upload policy is used)

--location LOCATION
    location constraint of the destination bucket (default: inferred from s3-location-constraint in configuration, or otherwise none)

--retry
    retry failed uploads up to 5 times

--progress
    show progress (the default when run interactively)

--no-progress
    do not show progress (the default when run noninteractively)

-U URL, --url URL
    object storage service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit